export interface FastlyApiContext {
    apiToken: string;
}
export type LoadApiTokenResult = {
    apiToken: string;
    source: string;
};
export type LoadApiParams = {
    commandLine: any;
};
export declare function loadApiToken(params: LoadApiParams): LoadApiTokenResult | null;
export declare class FetchError extends Error {
    constructor(message: string, status: number);
    status: number;
}
export declare function callFastlyApi(fastlyApiContext: FastlyApiContext, endpoint: string, operationName: string, queryParams?: URLSearchParams | null, requestInit?: RequestInit): Promise<Response>;
//# sourceMappingURL=api-token.d.ts.map