import { type PublishContentConfigNormalized } from '../../models/config/publish-content-config.js';
import { type PublisherServerConfigNormalized } from '../../models/config/publisher-server-config.js';
import { type StaticPublishRc } from '../../models/config/static-publish-rc.js';
export declare class LoadConfigError extends Error {
    errors: string[];
    constructor(configFilePath: string, errors: string[]);
}
export declare function loadStaticPublisherRcFile(): Promise<StaticPublishRc>;
export declare const normalizeStaticPublisherRc: (obj: unknown, errCtx?: string[]) => StaticPublishRc | null;
export declare function loadPublishContentConfigFile(configFile: string): Promise<PublishContentConfigNormalized>;
export declare const normalizePublishContentConfig: (obj: unknown, errCtx?: string[]) => PublishContentConfigNormalized | null;
export declare const normalizePublisherServerConfig: (obj: unknown, errCtx?: string[]) => PublisherServerConfigNormalized | null;
//# sourceMappingURL=config.d.ts.map