export interface FilenameTest {
    test(name: string): boolean;
}
export type EnumerateFilesOpts = {
    publicDirRoot: string;
    excludeDirs: FilenameTest[];
    excludeDotFiles: boolean;
    includeWellKnown: boolean;
};
export declare function enumerateFiles(opts: EnumerateFilesOpts): string[];
export declare function getFileSize(filePath: string): number;
export declare function directoryExists(dirPath: string): boolean;
export declare function calculateFileSizeAndHash(filePath: string): Promise<{
    size: number;
    hash: string;
}>;
export declare function rootRelative(itemPath: string): string;
export declare function dotRelative(from: string | null, to: string): string;
//# sourceMappingURL=files.d.ts.map