export declare function makeRetryable(error: Error): Error;
export declare function isRetryableError(error: unknown): any;
type RetryWithBackoffOptions = {
    maxRetries?: number;
    initialDelay?: number;
    onAttempt?: (attempt: number) => void;
    onSuccess?: (attempt: number) => void;
    onRetry?: (attempt: number, err: unknown, delay: number) => void;
};
export declare function attemptWithRetries<TResult>(fn: () => Promise<TResult>, options?: RetryWithBackoffOptions): Promise<TResult>;
export {};
//# sourceMappingURL=retryable.d.ts.map