import { type ContentCompressionTypes } from '../compression/index.js';
export type KVAssetEntry = {
    key: string;
    size: number;
    contentType: string;
    lastModifiedTime: number;
    variants: ContentCompressionTypes[];
};
export type KVAssetEntryMap = Record<string, KVAssetEntry>;
export type KVAssetVariantMetadata = {
    contentEncoding?: ContentCompressionTypes;
    size: number;
    hash: string;
    numChunks?: number;
};
export declare function isKVAssetVariantMetadata(obj: unknown): obj is KVAssetVariantMetadata;
//# sourceMappingURL=kvstore-assets.d.ts.map