/*
 * Copyright Fastly, Inc.
 * Licensed under the MIT license. See LICENSE file for details.
 */
import * as brotli from './brotli.js';
import * as gzip from './gzip.js';
const algs = {
    br: brotli.compressTo,
    gzip: gzip.compressTo,
};
export { algs };
