export declare function doKvStoreItemsOperation<TObject extends {
    key: string;
}>(objects: TObject[], fn: (obj: TObject, key: string, index: number) => Promise<void>, maxConcurrent?: number): Promise<void>;
export type KVStoreItemDesc = {
    write: boolean;
    size: number;
    key: string;
    filePath: string;
    metadataJson?: Record<string, any>;
};
export declare function shouldRecreateChunks(chunksDir: string, numChunks: number, item: KVStoreItemDesc, chunkSize: number): boolean;
export declare function applyKVStoreEntriesChunks(kvStoreItemDescriptions: KVStoreItemDesc[], chunkSize: number): Promise<void>;
//# sourceMappingURL=kv-store-items.d.ts.map