import { type KVStoreItemDesc } from './kv-store-items.js';
export declare function getLocalKVStoreKeys(storeFile: string, prefix?: string): Promise<string[]>;
export declare function getLocalKvStoreEntry(storeFile: string, key: string, metadataOnly?: boolean): Promise<{
    metadata: string | null;
    generation: null;
    response: Response;
} | null>;
export declare function localKvStoreSubmitEntry(storeFile: string, key: string, file: string, metadata: string | undefined): Promise<void>;
export declare function localKvStoreDeleteEntry(storeFile: string, key: string): Promise<void>;
export declare function writeKVStoreEntriesForLocal(storeFile: string, computeAppDir: string, kvStoreItemDescriptions: KVStoreItemDesc[]): void;
//# sourceMappingURL=kv-store-local-server.d.ts.map