import { type ContentCompressionTypes } from '../compression/index.js';
export type PublisherServerConfig = {
    publicDirPrefix?: string;
    staticItems?: string[] | string | false | null;
    allowedEncodings?: ContentCompressionTypes[];
    spaFile?: string | false | null;
    notFoundPageFile?: string | false | null;
    autoExt?: string[] | string | false | null;
    autoIndex?: string[] | string | false | null;
};
export type PublisherServerConfigNormalized = {
    publicDirPrefix: string;
    staticItems: string[];
    allowedEncodings: ContentCompressionTypes[];
    spaFile: string | null;
    notFoundPageFile: string | null;
    autoExt: string[];
    autoIndex: string[];
};
//# sourceMappingURL=publisher-server-config.d.ts.map