import { type CollectionNameSelectorResult, type RequestCollectionNameSelector } from './request-collection-selector.js';
export type RequestToCollectionNameFunc = (request: Request) => CollectionNameSelectorResult;
type UrlToCollectionNameFunc = (url: URL) => string | null;
export declare class RequestCollectionNameFuncSelector implements RequestCollectionNameSelector {
    constructor(func: RequestToCollectionNameFunc);
    func: RequestToCollectionNameFunc;
    getCollectionName(request: Request): CollectionNameSelectorResult;
}
export declare function fromRequest(request: Request, func: RequestToCollectionNameFunc): CollectionNameSelectorResult;
export declare function fromRequestUrl(request: Request, func: UrlToCollectionNameFunc): CollectionNameSelectorResult;
export declare function fromHostDomain(request: Request, hostRegex: RegExp): CollectionNameSelectorResult;
export {};
//# sourceMappingURL=from-request.d.ts.map